- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
GSmtp::AdminServerPeer Class Reference

A derivation of ServerPeer for the administration interface. More...

`#include <gadminserver.h>`

Inheritance diagram for GSmtp::AdminServerPeer:

## Public Member Functions
| AdminServerPeer (GNet::Server::PeerInfo, AdminServer &, const GNet::Address &local, const std::string &remote, const G::StringMap &extra_commands, bool with_terminate)
| Constructor. More...
virtual | ~AdminServerPeer ()
| Destructor. More...
void | notify (const std::string &s0, const std::string &s1, const std::string &s2)
| Called when something happens. More...
Public Member Functions inherited from GNet::BufferedServerPeer
| BufferedServerPeer (Server::PeerInfo, const std::string &eol)
| Constructor. More...
virtual | ~BufferedServerPeer ()
| Destructor. More...
Public Member Functions inherited from GNet::ServerPeer
| ServerPeer (Server::PeerInfo)
| Constructor. More...
bool | send (const std::string &data, std::string::size_type offset=0U)
| Sends data down the socket to the peer. More...
void | doDelete (const std::string &=std::string())
| Does "onDelete(); delete this". More...
std::string | logId () const
| Returns an identification string for logging purposes. More...
virtual std::pair< bool, Address > | localAddress () const
| Returns the local address. More...
virtual std::pair< bool, Address > | peerAddress () const
| Returns the peer address. More...
virtual std::string | peerCertificate () const
| Returns the peer's TLS certificate. More...
virtual void | readEvent ()
| Final override from GNet::EventHandler. More...
virtual void | writeEvent ()
| Final override from GNet::EventHandler. More...
virtual void | onException (std::exception &)
| Final override from GNet::EventHandler. More...
void | doDeleteThis (int)
| Does delete this. Should only be used by the GNet::Server class. More...
Public Member Functions inherited from GNet::EventHandler
virtual | ~EventHandler ()
| Destructor. More...
virtual void | exceptionEvent ()
| Called for an exception event. More...
Public Member Functions inherited from GNet::Connection
virtual | ~Connection ()
| Destructor. More...
Public Member Functions inherited from GNet::SocketProtocolSink
virtual | ~SocketProtocolSink ()
| Destructor. More...

## Protected Member Functions
virtual void | onSendComplete ()
| Final override from GNet::BufferedServerPeer. More...
virtual bool | onReceive (const std::string &)
| Final override from GNet::BufferedServerPeer. More...
virtual void | onDelete (const std::string &)
| Final override from GNet::ServerPeer. More...
virtual void | onSecure (const std::string &)
| Final override from GNet::SocketProtocolSink. More...
Protected Member Functions inherited from GNet::BufferedServerPeer
virtual void | onData (const char *, ServerPeer::size_type)
| Final override from GNet::SocketProtocolSink. More...
Protected Member Functions inherited from GNet::ServerPeer
virtual | ~ServerPeer ()
| Destructor. More...
void | sslAccept ()
| Waits for the peer to start a secure session. More...
StreamSocket & | socket ()
| Returns a reference to the client-server connection socket. More...
Server * | server ()
| Returns a pointer to the associated server object. More...

## Additional Inherited Members
Public Types inherited from GNet::ServerPeer
typedef std::string::size_type | size_type

## Detailed Description

A derivation of ServerPeer for the administration interface.

See also
  GSmtp::AdminServer

Definition at line 51 of file gadminserver.h.

## Constructor & Destructor Documentation

GSmtp::AdminServerPeer::AdminServerPeer | ( | GNet::Server::PeerInfo | peer_info,
|  | AdminServer & | server,
|  | const GNet::Address & | local,
|  | const std::string & | remote,
|  | const G::StringMap & | extra_commands,
|  | bool | with_terminate
| ) |  |

Constructor.

Definition at line 38 of file gadminserver.cpp.

References G::Signal2< P1, P2 >::connect(), GNet::Address::displayString(), GNet::ClientPtr< TClient >::doneSignal(), G_LOG_S, GNet::Server::PeerInfo::m_address, and G::slot().

GSmtp::AdminServerPeer::~AdminServerPeer | ( |  | ) |
| virtual

Destructor.

Definition at line 54 of file gadminserver.cpp.

## Member Function Documentation

void GSmtp::AdminServerPeer::notify | ( | const std::string & | s0,
|  | const std::string & | s1,
|  | const std::string & | s2
| ) |  |

Called when something happens.

Definition at line 240 of file gadminserver.cpp.

void GSmtp::AdminServerPeer::onDelete | ( | const std::string & | reason | ) |
| protected virtual

Final override from GNet::ServerPeer.

Implements GNet::ServerPeer.

Definition at line 79 of file gadminserver.cpp.

References G_LOG_S.

bool GSmtp::AdminServerPeer::onReceive | ( | const std::string & | line | ) |
| protected virtual

Final override from GNet::BufferedServerPeer.

Implements GNet::BufferedServerPeer.

Definition at line 89 of file gadminserver.cpp.

References GNet::EventLoop::exists(), GNet::EventLoop::instance(), and GNet::EventLoop::quit().

void GSmtp::AdminServerPeer::onSecure | ( | const std::string & |  | ) |
| protected virtual

Final override from GNet::SocketProtocolSink.

Implements GNet::SocketProtocolSink.

Definition at line 85 of file gadminserver.cpp.

void GSmtp::AdminServerPeer::onSendComplete | ( |  | ) |
| protected virtual

Final override from GNet::BufferedServerPeer.

Implements GNet::ServerPeer.

Definition at line 74 of file gadminserver.cpp.

The documentation for this class was generated from the following files:

- gadminserver.h
- gadminserver.cpp